%% Visualisierung der Abbildungswirkung eines Quadrupol- und Sextupolsystems

% W. Schweizer
% Simulation physikalischer Systeme - Computational Physics mit MATLAB 
% 2016

% Vers. 4.1 12/2016

%figure,plot3(yq(:,1),yq(:,2),yq(:,3)),shg
%% Bereitstellen der Daten
clear, close all, clc
% 1. Ausfuehren von 
MagnetoptikQuadAbb
% 2. Ausfuehren von 
MagnetoptikSextuSystem
%% Eigentliche Visualisierung
% Quadrupol
figure
korr=(min(yq(:,1))+max(yq(:,1)))/2
subplot(1,2,1),plot(yort0(:,1),yort0(:,2),'--k'),shg
hold on
plot(yq(:,1)-korr,yq(:,2),'k','linewidth',1.),shg
title('Quadrupol'),xlabel('x korrigiert'),ylabel('y')
%
% Sextupol
subplot(1,2,2),plot(xa,ya,'--k'),shg
hold on
plot(xe,ye,'k','linewidth',1.)
xlim([-5e-04,5e-04]), ylim([-5e-04,5e-04]), shg
title('Sextopole'),xlabel('x'),axis tight
